% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_filenames.R
\name{getRunNames}
\alias{getRunNames}
\title{Get names of all runs}
\usage{
getRunNames(dataPath, oswMerged = TRUE, params = paramsDIAlignR())
}
\arguments{
\item{dataPath}{(char) Path to xics and osw directory.}

\item{oswMerged}{(logical) TRUE for experiment-wide FDR and FALSE for run-specific FDR by pyprophet.}

\item{params}{(list) parameters are entered as list. Output of the \code{\link{paramsDIAlignR}} function.}
}
\value{
(dataframe) it has five columns:
\item{spectraFile}{(string) as mentioned in RUN table of osw files.}
\item{runName}{(string) contain respective mzML names without extension.}
\item{spectraFileID}{(string) ID in RUN table of osw files.}
\item{featureFile}{(string) Path to the feature file.}
\item{chromatogramFile}{(string) Path to the chromatogram file.}
}
\description{
Fetches all osw files, then, keeps only those runs which has corresponding mzML files.
mzML file names must match with RUN.FILENAME columns of osw files.
}
\examples{
dataPath <- system.file("extdata", package = "DIAlignR")
getRunNames(dataPath = dataPath, oswMerged = TRUE)
}
\author{
Shubham Gupta, \email{shubh.gupta@mail.utoronto.ca}

ORCID: 0000-0003-3500-8152

License: (c) Author (2019) + GPL-3
Date: 2019-12-14
}
